{{ ansible_managed | comment }}
[Unit]
Description=postgresql exporter
Wants=network-online.target
After=network-online.target

[Service]
Restart=on-failure
User={{ postgresql_exporter_user }}
Group={{ postgresql_exporter_user }}
ExecStart={{ _postgresql_exporter_paths.bin }}/postgres_exporter --web.listen-address={{ postgresql_exporter_listen_address }} {{ postgresql_exporter_options }}
ExecReload=/bin/kill -HUP $MAINPIDTimeoutStopSec=20s
SendSIGKILL=no
Environment=DATA_SOURCE_NAME={{ postgresql_exporter_data_source }}
[Install]
WantedBy=multi-user.target
